Вход | Регистрация
 
1С:Предприятие :: 1С:Предприятие 8 общая

Настройка запуска 1С (как запуститься под старым релизом?)

Настройка запуска 1С (как  запуститься  под старым релизом?)
Я
   Юзер123
 
02.02.21 - 09:10
Добрый день.
Вчера на сервере, на котором народ удаленно работает (клиент / Сервер) Одминушка с целью обновления Бухни (Файловой) поставил новый релиз платформы. Теперь у юзеров, у которых на рабочем столе ярлык из папки  common, автоматом запускается новая платформа и  ошибка о несоответствии версии клиента и сервера. Подскажите, можно  где то прописать  что бы ярлык из папки common запускал предыдущий релиз?  Прописывать для каждой базы это вариант такой себе).  И вытаскивать ярлык из Бина старого релиза тоже.
Наверняка есть красивое решение.
   ДенисЧ
 
1 - 02.02.21 - 09:13
Есть. В ярлыке нужной базы прописать нужную версию.
И вообще - эти ярлыки положено через домен раздавать а не руками писать.
   Beduin
 
2 - 02.02.21 - 09:14
(1) Так он же написал, что не хочет так
   ДенисЧ
 
3 - 02.02.21 - 09:14
(2) А это проблемы тех самых шерифов. Которые (проблемы) индейцев не волнуют.
   Юзер123
 
4 - 02.02.21 - 09:15
(1) просто куда то же пишет программа инфу которую читает ярлык при запуске последнего релиза..
   ДенисЧ
 
5 - 02.02.21 - 09:18
(4) Почитай книжку "руководство администратора". Там написано.
   ДенисЧ
 
6 - 02.02.21 - 09:18
А вообще...
"с целью обновления Бухни (Файловой) "
"ошибка о несоответствии версии клиента и сервера"

Назачем обновляли сервер для файловой бухни?
   Юзер123
 
7 - 02.02.21 - 09:19
(6) я не писал что обновляли сервер.  Только платформу обновили. В этом и беда
   ДенисЧ
 
8 - 02.02.21 - 09:20
(7) если сервер не обновляли, то "ошибка о несоответствии версии клиента и сервера" возникать не будет.
   Юзер123
 
9 - 02.02.21 - 09:21
(8)  Серьезно? Т.е.  если я запущу клиент  старше по релизу чем сервер..  то ошибки не будет?)
   craxx
 
10 - 02.02.21 - 09:21
(8) это если прежний клиент не снесли
   Юзер123
 
11 - 02.02.21 - 09:22
(10) Прежний клиент остался.  Но ошибка то есть
   craxx
 
12 - 02.02.21 - 09:22
(8) хотя есть подозрение что они напрямую ярылк 1cv8c запускают, а не 1cestart
   Юзер123
 
13 - 02.02.21 - 09:23
(12) Ярлык из папки  common  он там 1\
   craxx
 
14 - 02.02.21 - 09:23
(11) в ярлыке 1С какой экзешник прописан?
   Юзер123
 
15 - 02.02.21 - 09:24
(14) "C:\Program Files\1cv8\common\1cestart.exe"
   Вафель
 
16 - 02.02.21 - 09:25
клиентов не обновили
   craxx
 
17 - 02.02.21 - 09:26
(13) а предыдущий клиент какой разрядности был? 32 или 64?
   Юзер123
 
18 - 02.02.21 - 09:27
(17) 64 и новый и старый
   Йохохо
 
19 - 02.02.21 - 09:49
под собой экспортируешь v8i и всем раздаешь, и всё
   Юзер123
 
20 - 02.02.21 - 09:56
(19) У меня там и прав то нет.  На серваке особо.  Просто ждать решения от админа долго. Прописывать для каждой базы релиз - тоже такое себе.  Вот думал есть универсальное решение для таких случаев.
   Йохохо
 
21 - 02.02.21 - 10:00
(20) в почту ему кинь, пусть в папку 1сестарт положит, изи же
   Йохохо
 
22 - 02.02.21 - 10:02
в прописывать релиз в блокноте удобно когда есть список баз
   Йохохо
 
23 - 02.02.21 - 10:03
(15) а, вы их оффлайн эпохи еще)
   SunFox
 
24 - 02.02.21 - 10:10
В общем списке баз можно указать релиз для каждой базы Version=8.3.... В общей папке ложим 1cestart платформу, файл конфигурационный 1CESCmn.cfg и список баз Activ.v8i, при установки запускаем 1cestart, список у пользователей прописываеться автоматически.

1CESCmn.cfg

CommonInfoBases=\\PC100\1c_bases\Platform82\Activ.v8i
CommonCfgLocation=\\PC100\1c_bases\Platform82\1CESCmn.cfg
InstalledLocation="C:\Program Files\1cv8"
DistributiveLocation=\\PC100\1c_bases\Platform82\
InstallComponents=DESIGNERALLCLIENTS=1 THINCLIENTFILE=0 THINCLIENT=0 WEBSERVEREXT=0 SERVER=0 CONFREPOSSERVER=0 CONVERTER77=0 SERVERCLIENT=0 LANGUAGES=RU

Activ.v8i

[Архтвная база]
Connect=Srvr="in1s";Ref="trtrtr";
ID=b221e4ad-e2d7-40fc-9ec6-5e89d3f6e482
OrderInList=25001.75
Folder=/
OrderInTree=114944
External=0
ClientConnectionSpeed=Normal
App=ThickClient
WA=1
Version=8.3........ Нужная версия
   SunFox
 
25 - 02.02.21 - 10:13
Если платформа уже установлена, добавь всем единый список быз в котором версия платформы прописана для каждой базы.
   Юзер123
 
26 - 02.02.21 - 10:13
(24) Спасибо за ответ
   SunFox
 
27 - 02.02.21 - 10:15
Можно просто единый список баз для всех сделать один раз, потом всегда будет возможность быстро управлять запуском нужной версии платформы.
   Bigbro
 
28 - 02.02.21 - 10:15
странно, я обновлял клиентов вперед сервера - никаких ошибок, запускался старый клиент.
ошибка только когда наоборот сервер обновил и нужного клиента естарт не находит.
   SunFox
 
29 - 02.02.21 - 10:17
(28)это если у тебя все серверные базы
   mistеr
 
30 - 02.02.21 - 11:16
(0) Я бы уперся, админ накосячил, пусть админ и исправляет.
 
 Рекламное место пустует


Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.